<?php
$id=$title=$a='';

if($nom=='SWF'){

  if (!empty($attributs["SRC"]))$this->src = $attributs["SRC"];
  if (!empty($attributs["NOM"])) { $this->nom_lien = $attributs["NOM"]; $id=" id=\"$this->nom_lien\" ";}
  if (!empty($attributs["POSITION"])) { $this->position = $attributs["POSITION"]; $class=" class=\"$this->position\" ";}
  $this->x = $attributs["X"];
  $this->y = $attributs["Y"];
  echo "<object  ".@$id." ".@$class." type=\"application/x-shockwave-flash\" "
	  ." data=\"".$this->src.".swf\" "
	  ."width=\"".$this->x."\" height=\"".$this->y."\">\n "
	  ."<param name=\"movie\" value=\"".$this->src.".swf\" />\n "
	  ."<param name=\"quality\" value=\"high\" />\n "
	  ."<a href=\"".$this->src.".swf\">".$this->src.".swf</a>"
      ."</object>\n ";
}
elseif($nom=='OBJECT'){

  if (!empty($attributs["DATA"]))$this->src = $attributs["DATA"];
  if (!empty($attributs["NOM"])) { $this->nom_lien = $attributs["NOM"]; $id=" id=\"$this->nom_lien\" ";}
  if (!empty($attributs["POSITION"])) { $this->position = $attributs["POSITION"]; $class=" class=\"$this->position\" ";}
  $this->x = $attributs["WIDTH"];
  $this->y = $attributs["HEIGHT"];
  echo "<object  ".@$id." ".@$class." type=\"application/x-shockwave-flash\"  style=\"position:relative;z-index:0\" "
	  ." data=\"".$this->src."\" "
	  ."width=\"".$this->x."\" height=\"".$this->y."\">\n "
	  ."<param name=\"movie\" value=\"".$this->src."\" />\n "
	  ."<param name=\"quality\" value=\"high\" />\n "
	  ."<param name=\"wmode\" value=\"transparent\" />\n "
	  ."<a href=\"".$this->src.".swf\">".$this->src.".swf</a>"
      ."</object>\n ";
}
elseif($nom=='YOUTUBE'){

  if (!empty($attributs["DESTINATION"]))$this->src = $attributs["DESTINATION"];
  if (!empty($attributs["HREF"]))$this->src = $attributs["HREF"];
  if (!empty($attributs["SRC"]))$this->src = $attributs["SRC"];
  if (!empty($attributs["NOM"])) { $this->nom_lien = $attributs["NOM"]; $id=" id=\"$this->nom_lien\" ";}
  if (!empty($attributs["POSITION"])) { $this->position = $attributs["POSITION"]; $class=" class=\"$this->position\" ";}
  $this->x = $attributs["X"];
  $this->y = $attributs["Y"];

  echo "<object $id  $class type=\"application/x-shockwave-flash\" "
	  ." data=\"".$this->src."\" "
	  ."width=\"".$this->x."\" height=\"".$this->y."\">\n "
  ."<param name=\"movie\" value=\"".$this->src."\" />\n "
  ."<param name=\"quality\" value=\"high\" />\n "
  ."<a href=\"".$this->src."\">".$this->src."</a>"
  ."</object>\n ";
}
?>